<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">

	<title>Bootstrap Introduction | Components and Tools</title>

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="./styles/bootstrap/css/bootstrap.min.css">

	<!-- font awesome -->
	<script src="https://kit.fontawesome.com/887185edb9.js" crossorigin="anonymous"></script>

	<!-- eXTERNAL CSS -->
	<link rel="stylesheet" href="./styles/index.css">

</head>
<body>
	<!-- 
	<h1>
		Bootstrap Introduction and its tools and components we can use for a much faster way of layouting our website.
	</h1>

	<div class="alert alert-primary" role="alert">
  		A simple primary alert—check it out!
	</div>
	<button type="button" class="btn btn-primary">Primary</button>
	<button type="button" class="btn text-white" id="about-button">Apply Now</button>
 -->

 	<!-- Navbar -->
 	<!-- lg means large, md mean medium, sm is small -->
 	<!-- bg - background 
 		bg primary-blue-->
 	<nav class="navbar navbar-expand-md fixed-top navbar-dark bg-primary">
 		
 		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
 			<span class="navbar-toggler-icon"></span>
 		</button>


 		<!-- mr- margin right auto - adds a margin on the right side
 			ml auto - moving nav items to the right side
 			mx auto- margin x asis auto- adds the margin left and right moving nav items to the center-->
 		<div class="collapse navbar-collapse" id="navbarSupportedContent">
 			<ul class="navbar-nav mx-auto">
 				<li class="nav-item active">
 					<a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
 				</li>
 				<li class="nav-item">
 					<a class="nav-link" href="#">About Me</a>
 				<li class="nav-item">
 					<a class="nav-link" href="#">Projects</a>
 				</li>
 				
 			</ul>
 			
 		</div>
 	</nav>

 	<!-- end of navbar -->
 	<div class="text-center">
 		<img  src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae" alt="Ada Lovelace" class="img-size rounded-circle">

 		<!-- mt-3-margin top -->
 		<div class="mt-4">
 		<h2 class=" border-bottom border-primary d-inline">Ada Lovelace</h2>
 			
 		</div>

 		<h4 class="my-3">Fullstack Web Developer</h4>
 		<!-- Mx will only work if width is set -->
 		<p class="w-50 mx-auto">Lorem ipsum dolor sit, amet, consectetur adipisicing elit. Nihil rem eum assumenda ipsum quam a voluptatibus quas iure ipsa natus minus, eligendi commodi, tempora voluptatem voluptate, fugiat et reprehenderit, tenetur. Voluptatibus illo natus corrupti aliquid amet id itaque officia alias dicta sequi quisquam, placeat nostrum repellat eum provident totam possimus fugit autem in. Ratione, nam, id.
 		</p>
 	</div>
 	
 	<div class="bg-secondary">

 		<div class="d-inline-block w-25 bg-dark text-white">
 			<!-- img-fluid- inherits width of parent element -->
 			<img class="img-fluid" src="https://getbootstrap.com/docs/4.0/examples/screenshots/album.png" alt="project 1">
 			<h3>My First Project</h3>
 			<p>A simple Project made from HTML</p>
 		</div>

 		<div class="d-inline-block w-25 bg-dark text-white">
 			<img class="img-fluid" src="https://getbootstrap.com/docs/4.0/examples/screenshots/jumbotron.png" alt="project 2">
 			<h3>My Second Project</h3>
 			<p>A simple Project made from CSS</p>
 		</div>

 		<div class="d-inline-block w-25 bg-dark text-white">
 			<img class="img-fluid" src="https://getbootstrap.com/docs/4.0/examples/screenshots/carousel.png" alt="project 2">
 			<h3>My Third Project</h3>
 			<p>A simple Project made from Bootstrap</p>
 		</div>

 	</div>














  	

 	</div>


	<!-- Jquery min JS -->
	<script src="./styles/bootstrap/js/jquery-3.6.0.min.js"></script>

	<!-- popper js -->
	<script src="./styles/bootstrap/js/popper.min.js"></script>

	<!-- Bootstrap min JS -->
	<script src="./styles/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>